Subject: Re: [PATCH 1/6] reftable/system: provide `REFTABLE_INLINE()` macro

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 1 Apr 2026 14:13:53 +0200

On Tue, Mar 31, 2026 at 10:08:17PM +0000, brian m. carlson wrote:
> On 2026-03-31 at 11:26:47, Patrick Steinhardt wrote:
> > Not every compiler knows about the `inline` annotation for functions.
> > Consequently, Git knows to define `inline` as an empty macro in case
> > it's not available.
> 
> I thought `inline` was in C99, which would mean that it's been required
> in C for over 26 years old—it's older than some of my colleagues.  What
> compilers are people using in 2026 that don't know about `inline`?  Or
> more importantly, what platforms are people using in 2026 that lack a
> usable compiler with at least C99?

Surprisingly there are still projects out there that explicitly use C90,
and libgit2 is one of them. it prouds itself with still compiling on
Amiga OS. Whether it actually does may be a different question though.
I kind of doubt it.

Patrick